Skip to main content
GET
/
clients
/
me
/
chains
/
{chain}
/
assets
Get wallet assets and balances
curl --request GET \
  --url https://api.portalhq.io/api/v3/clients/me/chains/{chain}/assets \
  --header 'Authorization: Bearer <token>'
{
  "nativeBalance": {
    "balance": "1.5",
    "decimals": 18,
    "name": "Ethereum",
    "rawBalance": "1500000000000000000",
    "symbol": "ETH",
    "metadata": {}
  },
  "tokenBalances": [
    {
      "balance": "100.0",
      "decimals": 6,
      "name": "USD Coin",
      "rawBalance": "100000000",
      "symbol": "USDC",
      "metadata": {}
    }
  ]
}

Authorizations

Authorization
string
header
required

Client API Key or Client Session Token (CST). Pass as a Bearer token in the Authorization header.

Path Parameters

chain
string
required

The blockchain chain identifier. Use either a friendly name or CAIP-2 format. When using CAIP-2 format in URLs, ensure the colon (:) is URI-encoded as %3A.

Supported chains:

  • ethereum (eip155:1)
  • sepolia (eip155:11155111)
  • base (eip155:8453)
  • base-sepolia (eip155:84532)
  • polygon (eip155:137)
  • polygon-mumbai (eip155:80001)
  • celo (eip155:42220)
  • celo-alfajores (eip155:44787)
  • monad-testnet (eip155:10143)
  • solana (solana:5eykt4UsFv8P8NJdTREpY1vzqKqZKvdp)
  • solana-devnet (solana:EtWTRABZaYq6iMfeYKouRu166VU2xqa1)
  • tron (tron:mainnet)
  • tron-nile (tron:nile)
  • tron-shasta (tron:shasta)
  • stellar (stellar:pubnet)
  • stellar-testnet (stellar:testnet)
  • bitcoin-segwit (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-segwit-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)
  • bitcoin-p2wpkh (bip122:000000000019d6689c085ae165831e93-p2wpkh)
  • bitcoin-p2wpkh-testnet (bip122:000000000933ea01ad0ee984209779ba-p2wpkh)

Query Parameters

includeNfts
string

Set to "true" to include NFTs in the response.

Response

Assets retrieved successfully

nativeBalance
object
tokenBalances
object[]
nfts
object[]

NFT assets. Only present when includeNfts=true.